# Class MarkCombineArrayPlotter.MarkCombineArrayStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.CombineArrayPlotter.CombineArrayStyle
uk.ac.starlink.ttools.plot2.layer.MarkCombineArrayPlotter.MarkCombineArrayStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `MarkCombineArrayPlotter`

public static class MarkCombineArrayPlotter.MarkCombineArrayStyle extends CombineArrayPlotter.CombineArrayStyle
Style for use with this plotter.

Since:
  25 Jan 2022
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`MarkCombineArrayStyle(Combiner xCombiner, Combiner yCombiner, Color color, MarkerShape shape, int size)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`
`void`
`paintPoints(PlanarSurface surface, PaperType paperType, Paper paper, Point2D.Double[] gpoints)`
Do the actual plotting given an array of graphics points corresponding to the combined array elements.

### Methods inherited from class CombineArrayPlotter.CombineArrayStyle

`getCombinerX, getCombinerY, getLayerOpt`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkCombineArrayStyle

public MarkCombineArrayStyle(Combiner xCombiner, Combiner yCombiner, Color color, MarkerShape shape, int size)
Constructor.

Parameters:
  `xCombiner` - combiner for elements of X array values
  `yCombiner` - combiner for elements of Y array values
  `color` - colour
  `shape` - marker shape
  `size` - marker size

## Method Details

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

### paintPoints

public void paintPoints(PlanarSurface surface, PaperType paperType, Paper paper, Point2D.Double[] gpoints)
Description copied from class: `CombineArrayPlotter.CombineArrayStyle`
Do the actual plotting given an array of graphics points corresponding to the combined array elements.

Specified by:
  `paintPoints` in class `CombineArrayPlotter.CombineArrayStyle`
Parameters:
  `surface` - plot surface
  `paperType` - paper type
  `paper` - paper
  `gpoints` - points in graphics coordinates corresponding to the aggregated per-element values of the input X and Y array coordinates

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `CombineArrayPlotter.CombineArrayStyle`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `CombineArrayPlotter.CombineArrayStyle`